%define tallocmajor 2
%define libtalloc %mklibname talloc %{tallocmajor}
%define tallocdevel %mklibname -d talloc
%define  epoch 1
%define libpytalloc %mklibname pytalloc-util 2
%define libpytallocdevel %mklibname -d pytalloc-util
%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \


Name: talloc
Version: 2.1.11
%define subrel 1
Release: %mkrel 1
URL: http://talloc.samba.org
Source: http://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.gz
Source1: http://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.asc
Source2: samba-bugs.asc
License: GPLv3
# tallocversion was not used when in samba4, so it was 4.0.0
Epoch: %{epoch}
Summary: Library implementing Samba's memory allocator
Group: System/Libraries
BuildRequires: acl-devel 
BuildRequires: xsltproc 
BuildRequires: docbook-style-xsl
BuildRequires: python-devel 
BuildRequires: gnupg

%description
Library implementing Samba's memory allocator

%package -n %{libtalloc}
Group: System/Libraries
Summary: Library implementing Samba's memory allocator

%description -n %{libtalloc}
Library implementing Samba's memory allocator

%package -n %{tallocdevel}
Group: Development/C
Summary: Library implementing Samba's memory allocator
Provides: talloc-devel = %{epoch}:%{version}-%{release}
Requires: %{libtalloc} = %{epoch}:%{version}-%{release}
BuildRequires: swig

%description -n %{tallocdevel}
Library implementing Samba's memory allocator

%package -n python-talloc
Group: Development/Python
Summary: Python module for Samba's talloc memory allocator

%description -n python-talloc
Python module for Samba's talloc memory allocator

%package -n %{libpytalloc}
Group: Development/C
Summary: Utility functions for using talloc objects with Python

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python

%package -n %{libpytallocdevel}
Group: Development/C
Summary: Utility functions for using talloc objects with Python
Requires: %{libpytalloc} = %{epoch}:%{version}
Provides: pytalloc-util-devel = %{version}-%{release}

%description -n %{libpytallocdevel}
Utility functions for using talloc objects with Python

%prep

#Try and validate signatures on source:
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}*

%files -n %{tallocdevel}
%{_libdir}/libtalloc.so
#{_libdir}/libtalloc.a
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*
#{_datadir}/swig/*/talloc.i

%files -n python-talloc
%{py_platsitedir}/talloc.so

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.so.2*

%files -n %{libpytallocdevel}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.so
%{_libdir}/pkgconfig/pytalloc-util.pc


%changelog
* Sun Dec 30 2018 buchan <buchan> 1:2.1.11-1.1.mga6
+ Revision: 1347251
- Upgrade to 2.1.11
+ zezinho <zezinho>
- new version for samba security fix MGA#22030

* Mon Mar 13 2017 luigiwalser <luigiwalser> 1:2.1.9-1.mga6
+ Revision: 1092316
- 2.1.9

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1:2.1.8-1.mga6
+ Revision: 1045351
- 2.1.8

* Wed May 25 2016 luigiwalser <luigiwalser> 1:2.1.7-1.mga6
+ Revision: 1018506
- 2.1.7

* Fri May 06 2016 luigiwalser <luigiwalser> 1:2.1.6-1.mga6
+ Revision: 1009954
- 2.1.6

* Fri Dec 25 2015 neoclust <neoclust> 1:2.1.5-1.mga6
+ Revision: 914686
- New version 2.1.5

* Wed Sep 23 2015 neoclust <neoclust> 1:2.1.3-1.mga6
+ Revision: 882453
- New version 2.1.3

* Fri Aug 21 2015 tmb <tmb> 1:2.1.2-2.mga6
+ Revision: 867690
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:2.1.2-1.mga6
+ Revision: 836996
- 2.1.2

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.1-4.mga5
+ Revision: 745790
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.1.1-3.mga5
+ Revision: 730500
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.1-2.mga5
+ Revision: 689686
- Mageia 5 Mass Rebuild

* Fri May 23 2014 luigiwalser <luigiwalser> 1:2.1.1-1.mga5
+ Revision: 625224
- 2.1.1

* Sat Oct 19 2013 umeabot <umeabot> 1:2.1.0-2.mga4
+ Revision: 534838
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 luigiwalser <luigiwalser> 1:2.1.0-1.mga4
+ Revision: 479129
- 2.1.0

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0.8-2.mga3
+ Revision: 384034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:2.0.8-1.mga3
+ Revision: 332038
- New version 2.0.8

* Fri Nov 30 2012 pterjan <pterjan> 1:2.0.7-2.mga3
+ Revision: 323253
- BuildRequires gnupg for signature check

* Thu Dec 22 2011 buchan <buchan> 1:2.0.7-1.mga2
+ Revision: 185816
- New version 2.0.7
- Add signature verification
+ tv <tv>
- new release

* Fri May 13 2011 buchan <buchan> 1:2.0.5-2.mga1
+ Revision: 97824
- Correct package names and add dependencies for new subpackages

* Wed Apr 13 2011 tv <tv> 1:2.0.5-1.mga1
+ Revision: 84640
- New version 2.0.5
- Help waf find the right place for python modules on x86_64
- BR python-devel
- waf configure works with %%configure2_5x, drop waf BR
- buildrequire waf

* Tue Jan 11 2011 dmorgan <dmorgan> 1:2.0.1-2.mga1
+ Revision: 5580
- imported package talloc


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.1-2mdv2011.0
+ Revision: 607972
- rebuild

* Wed Feb 24 2010 Buchan Milne <bgmilne@mandriva.org> 1:2.0.1-1mdv2010.1
+ Revision: 510761
- import talloc


